import type { LdesignMenuProviderType, TypeLdesignMenuDataItem } from './type';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    menucontext: LdesignMenuProviderType;
}> & import("@vue/composition-api").Data, {}, {}, {
    list: {
        type: import("vue").PropType<TypeLdesignMenuDataItem[]>;
        default: () => any[];
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    list: {
        type: import("vue").PropType<TypeLdesignMenuDataItem[]>;
        default: () => any[];
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    list: TypeLdesignMenuDataItem[];
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    menucontext: LdesignMenuProviderType;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    list: TypeLdesignMenuDataItem[];
} & {}, {
    list: TypeLdesignMenuDataItem[];
}, true>);
export default _default;
